# Build Guide for Keyball61

こちらは Keyball61 のビルドガイドになります。
  

![01](images/kb61_002.jpg)

## 【目次】

  - [１．部品確認](#１部品確認)
    - [1-1．キット同梱品](#1-1キット同梱品)
    - [1-2．組立前にお客様自身で準備いただく部品](#1-2組立前にお客様自身で準備いただく部品)
    - [1-3．組立後でも取り付けられる部品とオプション](#1-3組立後でも取り付けられる部品とオプション)
  - [２．準備](#２準備)
    - [2-1．必要な工具](#2-1必要な工具)
    - [2-2．ファームウェア](#2-2ファームウェア)
  - [３．実装](#３実装)
    - [3-1．はんだ付けの前に](#3-1はんだ付けの前に)
    - [3-2．ダイオードの取り付け](#3-2ダイオードの取り付け)
    - [3-3．ジャンパのはんだ付け](#3-3ジャンパのはんだ付け)
    - [3-4．4連ピンソケット・TRRSソケット・タクトスイッチ](#3-44連ピンソケットtrrsソケットタクトスイッチ)
    - [3-5．ProMicroのはんだ付け](#3-5promicroのはんだ付け)
    - [3-6．ProMicoの書き込みと動作確認](#3-6promicoの書き込みと動作確認)
    - [3-7．アンダーグロー用LED（オプション）のはんだ付け](#3-7アンダーグロー用ledオプションのはんだ付け)
    - [3-8．キーソケットのはんだ付け](#3-8キーソケットのはんだ付け)
  - [４．ボール読み取り基板の組み立て](#４ボール読み取り基板の組み立て)
  - [4-1．センサーのはんだ付け](#4-1センサーのはんだ付け)
    - [4-2．L字コンスルーのはんだ付け](#4-2l字コンスルーのはんだ付け)
  - [５．左手側の左右判定ジャンパーをはんだ付け](#５左手側の左右判定ジャンパーをはんだ付け)
  - [６．トッププレートのカット（オプション）](#６トッププレートのカットオプション)
  - [７．組み立て](#７組み立て)
    - [7-1.保護プレートの取り付け](#7-1保護プレートの取り付け)
    - [7-2.トッププレートの組み立て](#7-2トッププレートの組み立て)
    - [7-3.ボトムプレートの組み立て](#7-3ボトムプレートの組み立て)
  - [８．トラックボール取り付け](#８トラックボール取り付け)
    - [8-1.ボール読み取り基板差し込み](#8-1ボール読み取り基板差し込み)
    - [8-2.トラックボールケースの組み立て](#8-2トラックボールケースの組み立て)
    - [8-3.トラックボールケース装着](#8-3トラックボールケース装着)
  - [９．総仕上げ](#９総仕上げ)
  - [１０．正規ファームウェアの書き込み](#１０正規ファームウェアの書き込み)
  - [１１．Keyballの使い方♪](#１１keyballの使い方)

<a id="anchor1"></a>
## １．部品確認

キットが届きましたらキット同梱品がすべて入っていたかご確認ください。

<a id="anchor1-1"></a>
### 1-1．キット同梱品

Keyball61は左右両方にトラックボールを搭載するダブルボール仕様や、トラックボール無しで組み立てることもできるように、左右分離キーボードの片手ずつで販売しています。

【トラックボールあり側】片手キットの同梱品は下記になります。

| 名前 | 数 | 備考 |
|:-|:-|:-|
| ミドルPCB | １枚 | |
| トップPCBプレート | １枚 | |
| ミドルアクリルプレート| １組 |メインと親指部のセット |
| ボトムアクリルプレート | １枚 | |
| ProMicro保護プレート | １枚 | |
| トラックボール保持ケース白(上下) | １組 | |
| Φ2 セラミックボール | １個 | 予備用 |
| トラックボール読取り基板 | １枚 | |
| L字コンスルーピン(7ピン) | １個 | |
| トラックボール読取りIC | １個 | |
| 読取りIC用レンズ | １個 | |
| 平頭タップネジ M1.7 | ２本 | |
| 小頭タップネジ M1.7 | ２本 | |
| TRRSジャック | １個 | |
| タクトスイッチ | １個 | |
| ストレートコンスルーピン(12ピン) | ２個 | |
| ダイオード（表面実装タイプ） | ３８個＋ | |
| Kailh PCBソケット CherryMX用 | ３０個 | |
| Kailh PCBソケット choc用| ２個 |親指ロープロ仕様で使用 |
| OLEDモジュール | １枚 | |
| 4連ピンヘッダ  | １つ | |
| 4連ピンソケット | １つ | |
| スペーサー M2 7mm | ８本 | |
| スペーサー M2 9mm | ２本 | |
| スペーサー M2 4mm | ２本 |親指ロープロ仕様で使用 |
| ネジ M2 3.5mm | ２０本＋ | |
| クッションゴム | ４個 | |

【トラックボールなし側】片手キットの同梱品は下記になります。

| 名前 | 数 | 備考 |
|:-|:-|:-|
| ミドルPCB | １枚 | |
| トップPCBプレート | １枚 | |
| ミドルアクリルプレート| １組 |メインと親指部のセット |
| ボトムアクリルプレート | １枚 | |
| ProMicro保護プレート | １枚 | |
| TRRSジャック | １個 | |
| タクトスイッチ | １個 | |
| ストレートコンスルーピン(12ピン) | ２個 | |
| ダイオード（表面実装タイプ） | ４０個＋ | |
| Kailh PCBソケット CherryMX用 | ３３個 | |
| Kailh PCBソケット choc用| ３個 |親指ロープロ仕様で使用 |
| OLEDモジュール | １枚 | |
| 4連ピンヘッダ  | １つ | |
| 4連ピンソケット | １つ | |
| スペーサー M2 7mm | ９本 | |
| スペーサー M2 9mm | ２本 | |
| スペーサー M2 4mm | ３本 |親指ロープロ仕様で使用 |
| ネジ M2 3.5mm | ２２本＋ | |
| クッションゴム | ４個 | |

<a id="anchor1-2"></a>
### 1-2．組立前にお客様自身で準備いただく部品（左右合計）

| 名前 | 数 | 備考 |
|:-|:-|:-|
| ProMicro | ２個 | 安価なものやUSB Type-C対応のもの等選べます |
| CherryMX互換キースイッチ | ６１個 | 親指ロープロ仕様なら５６個 |
| ロープロファイルキースイッチ | ５個 | 親指ロープロ仕様とする場合のみ |
| 直径34mmトラックボール | １個 | 動作確認で使用します |
| TRS(3極)ケーブル | １本 | TRRS(4極)ケーブルでも可 |
| Micro USBケーブル | １本 | ご購入いただいたProMicroに対応するもの |

![03](images/kb61_003.jpg)

<a id="anchor1-3"></a>
### 1-3．組立後でも取り付けられる部品とオプション（左右合計）

| 名前 | 数 | 備考 |
|:-|:-|:-|
| キーキャップ | ６１個 | 1u ６０個、1.25u １個 |
| ロープロファイルキーキャップ | ５個 | 親指ロープロ仕様のみ　1u ４個、1.25u １個 |
| YS-SK6812MINI-E | ７１個 | ※SK6812MINIは使用できません |

![04](images/kb61_004.jpg)

<a id="anchor2"></a>
## ２．準備

<a id="anchor2-1"></a>
### 2-1．必要な工具

Keyball61の組み立てには下記の工具が必要です。

| 名前 |
|:-|
| はんだごて(LEDを実装する場合は温度調整可能なもの) |
| はんだ(LEDを実装する場合は低融点のものが有効) |
| ニッパー |
| ０番＋精密ドライバー |
| ピンセット |
| 150番手くらいの紙やすり |

![05](images/kb61_005.jpg)

<a id="anchor2-2"></a>
### 2-2．ファームウェア

Keyball61を動作させるには、ご購入いただいたProMicroへのファームウェアの書き込みが必要です。
すでにビルド済みのファームウェアがダウンロードできますので、ProMicroへの書き込みソフト『QMK Toolbox』だけ準備できればKeyball61を使用できます。QMK Toolboxについては [Corneのファームウェア](https://github.com/foostan/crkbd/blob/master/doc/firmware_jp.md) の記事に簡潔にまとめられていますのでリンク先前半の説明を読んでQMK Toolboxを準備しておいてください。  

書き込みについてはこの後の[3-6章](#3-6promicoの書き込みと動作確認)でテスト用のファームウェアの書き込み、[１０章](#１０正規ファームウェアの書き込み)で製品版ファームウェアの書き込みについて詳しく説明しています。

<a id="anchor4"></a>
## ３．実装

ここからはんだ付け作業に入ります。  
PCBはリバーシブルになっているので、最初にどちらを左手用/右手用にするか決めます。  

赤丸で示した、PCBが欠けている部分にトラックボールがつきます。  
右手親指でトラックボールを操作するなら下写真のような配置になります。  

![20](images/kb61_010.jpg)

左手親指でトラックボールを操作する場合は下写真のような配置です。 

![21](images/kb61_011.jpg)

本ビルドガイドでは右手にトラックボールをつける仕様で説明します。  
下記のようにPCBを置き、ミス防止のため表面にマスキングテープを貼ります。

![22](images/kb61_013.jpg)

<a id="anchor3-1"></a>
### 3-1．はんだ付けの前に
半田ごての”こて先”は竹槍の先端のような形状のものだと平面にはんだを乗せたり、余分なはんだを”すくい取る”事が出来るので使いやすいです。

![27](images/kb61_027.jpg)

<a id="anchor3-2"></a>
### 3-2．ダイオードの取り付け
それではダイオードを順にはんだ付けしていきます。  
ダイオードはすべて【裏面】にはんだ付けします。  
  
ダイオードのシルクマークは下写真の矢印で示したマークで、左右合計で63個あります。  
ダイオードには極性がありますので、正しい向きで取り付けてください。向きは部品上の直線とシルクマーク内の矢印の先についている直線が一致する方向です。  
  
下写真をよく見て向きを確認してください。  
同一基板上のダイオードの向きはすべて同じ向きで配置されています。半田付けを進める中で回りのダイオードと同じ向きになっているか確認しながら行ってください。

![25](images/kb61_014.jpg)
  
ダイオードのシルクには下記写真の赤で示すような黒点を付けました。ですので、ダイオードを半田付け後にも極性確認を行う事ができます。

![26](images/kb61_015.jpg)

それでは半田付け開始です。まず、ダイオード用パッドの片側にはんだを盛ります。

![28](images/kb61_020.jpg)

ピンセットでダイオードを掴み、事前に盛ったはんだを溶かしながらダイオードを固定します。

![30](images/kb61_028.jpg)

基板を180度回転させてダイオードの反対側の足へもはんだを流します。
最後に両方の足をこて先で触り、ダイオードが脱落しなければ両足とも半田付けされています。

![反対の足も半田付け](images/kb61_029.jpg)

左右合計で６３個のダイオードを取り付けます。

![37](images/kb61_030.jpg)

<a id="anchor3-3"></a>
### 3-3．ジャンパのはんだ付け
OLEDモジュールを動作させるためにジャンパをショートさせる必要があります。

ジャンパの半田付けは__【裏面のみ】__に行います。  
"Back Side Only"の表示があり、左右の基板に各【４個ずつ】あります。  
パッドをこて先で温めてから、はんだを溶かすとブリッジできます。

![40](images/kb61_035.jpg)

はんだの鮮度が落ちる（何度も温め直す）と表面張力が落ちてうまくブリッジできません。  
一度はんだを払ってしまい、はんだやフラックスを足してやり直してください。
うまくブリッジできると下写真のようになります。

![41](images/kb61_036.jpg)

この他にもジャンパがいくつかあると思いますが、これらは追って説明しますので、ひとまず左右４箇所ずつだけ半田付けしてください。

<a id="anchor3-4"></a>
### 3-4．4連ピンソケット・TRRSソケット・タクトスイッチ
下記写真の部品をのはんだ付けします。  
今度はすべて【表面】に取付けますのでご注意ください。  

![51](images/kb61_040.jpg)

部品が浮いてしまうのが心配であれば、マスキングテープ等で固定してはんだ付けします。

![52](images/kb61_041.jpg)

すべて取り付けると下写真のようになります。

![53](images/kb61_042.jpg)


<a id="anchor3-5"></a>
### 3-5．ProMicroのはんだ付け
ProMicroは下記写真のコンスルーピンを使用してはんだ付けすることで、故障時に交換が容易になります。コンスルーピンには取付け方向がありますので写真をよく見て作業してください。

![60](images/kb61_050.jpg)

まずコンスルーピンを基板【表面】に差し込みます。

![61](images/kb61_055.jpg)

シルクの四角枠に合うようにコンスルーを差し込んでください。シルクの黒枠がコンスルーとずれているようであれば差し込む穴が間違っています。

![61](images/kb61_056.jpg)

差し込んだコンスルーピンにProMicroを挿入します。  
しっかり最後まで差し込んだ状態でProMicro側のみはんだ付けします。
基板に差し込んだ状態ではんだ付けすることで、コンスルーピンが斜めに取り付けられてしまうことを防げます。

![63](images/kb61_057.jpg)

左右の基板には標準でOLEDが搭載できます。  
4連ピンソケットに4連ピンヘッダを挿入してOLEDモジュールを載せます。
そして、4ピンのうちのひとつだけをはんだ付けします。  

![70](images/kb61_060.jpg)


１つだけ半田付けしたピンの半田を溶かしながらOLEDモジュールを上から押して浮かないようにします。またProMicroと並行になるように調整すると見栄えが良くなります。

![71](images/kb61_062.jpg)

位置が決まったら残り3ピンをはんだ付けします。

![72](images/kb61_064.jpg)

<a id="anchor3-6"></a>
### 3-6．ProMicoの書き込みと動作確認
それではまずテスト用のファームウェアをProMicroに書き込みましょう。

※現在Keyball61の正規ファームウェアを準備中です。

<!--テスト用ファームウェアは動作確認しやすいようにキーマップが簡潔なのと、RGB LEDが赤→緑→青と順に点灯するため、はんだ不良を発見しやすいです。
今回はLEDはんだ付けを見送っている場合など、テスト用ファームウェアが必要無いと思われる方は[１０章](#１０正規ファームウェアの書き込み)の正規のファームウェアをここで書き込んでも構いません。  
  

Keyball61のファームウェアは、トラックボールを右手と左手のどちらに載せたかで種類が分かれます。下記の適切な方のリンクからzipファイルをダウンロードして解凍し、QMK_ToolBoxで書き込んでください。  
   - トラックボールを右手側につけた方はこちらの[keyball_test_1.0.0.zip](https://github.com/Yowkees/keyball/files/6809109/keyball_test_1.0.0.zip)をダウンロード
   - トラックボールを左手側につけた方はこちらの[keyball_test_Left_1.0.0.zip](https://github.com/Yowkees/keyball/files/6809113/keyball_test_Left_1.0.0.zip)をダウンロード

zipファイルを解凍すると中には２つのhexファイルが入っています。Keyball46では左右に別々のファームウェアを書き込みます。
   - keyball_rev1_ball_test.hex　←この"ball"が名前に含まれている方はトラックボールありの基板に書き込みます
   - keyball_rev1_noball_test.hex　←この"noball"が名前に含まれている方はトラックボール無しの基板に書き込みます
-->
書き込みはQMK Toolboxを使用して書き込んでください。QMK Toolboxについては [Corneのファームウェア](https://github.com/foostan/crkbd/blob/master/doc/firmware_jp.md) の記事を参照してください。  

書き込みが完了したら下写真のようにキースイッチのパッドをピンセットでショートして動作確認します。テキストエディタに文字が入力されることを確認します。
早い段階で動作確認をすることで問題の切り分けが楽になります。

![75](images/kb61_067.jpg)

<a id="anchor3-7"></a>
### 3-7．LED（オプション）のはんだ付け
LED（YS-SK6812MINI-E）はオプションになります。左右で計７１個取り付け可能です。  
ただしLEDは非常に熱に弱く、こて先温度を220度～280度に調整して行ってください。  
こて先温度が低いためパッドに熱が伝わらず半田がテンプラ（接続不良）しやすいです。  
LED無しでもキーボードは使用できますし、すべてのLEDを点灯させるのは難易度が高いのでまずはLEDなしで完成させることをおすすめします。後からでもLEDを追加できます。  
  
YS-SK6812MINI-Eの４ピンのうち切り欠きがある足と、マーキングされているパッドを合わせてLEDを載せて半田付けします。

LEDには上向きに付けるものと下向きに付けるものが混在しますが、下写真のようにピンの切り欠きとマーキングを合わせてさえいれば、上下は自動的に合います。

一度に４ピンすべてのはんだ付けをすると部品の温度が上がり壊れやすいので、２ピンづつくらいで時間をあけてはんだ付けしてください。そのために１０個ほどのLEDを一度に載せて、一度はんだを当てたら次のLEDの半田付けに移るようにします。こうすると１つのLEDに熱を加え続けることを防げます。

![80](images/kb61_070.jpg)

はんだ付けが完了したらUSBケーブルを接続して、点灯を確認します。 

LEDは直列に配線されているので、途中までしか光らない場合は修正が必要です。

例として下写真を見てください。
シルクのLED番号を見ると、12番のLEDまでは点灯しましたが、13番以降のLEDが点灯していません。この場合、【12番か13番】のLEDの半田付けに問題がある可能性が高いのでそれらのLEDの半田付けをやり直してください。
![82](images/kb61_071.jpg)

点灯確認と半田付け修正を繰り返して、すべてのLEDが点灯するようにします。

![82](images/kb61_073.jpg)

<a id="anchor3-8"></a>
### 3-8．キーソケットのはんだ付け
キーソケットをシルクマークと形状が合うようにセットしてはんだ付けします。  
シルクからはみ出すようであれば方向が違います。正しい向きを下記写真で確認してください。

![85](images/kb61_075.jpg)

親指ロープロファイル仕様にて組み立てる場合には、親指キーとなるパターンにはロープロファイル用ソケットを半田付けして下さい。このロープロソケットにも向きがあります。
下記写真にて方向を確認してください。黒い樹脂部分が八角形に近くなっている端子がスイッチの真ん中付近にくる方向が正解です。

![85](images/kb61_077.jpg)

半田付けは、青丸で示すように事前にソケット用パッドの片側に半田を盛っておきます。

![86](images/kb61_078.jpg)

ソケットをはめて上からピンセットで抑えて端子の横からはんだを少し載せたこて先を当てると、はんだが溶けてソケットが沈み込みます。  
経験上、この方法が一番テンプラ（接続不良）しにくいです。  

![87](images/kb61_079.jpg)

基板を180度回転させて反対側の端子も半田付けします。

左右合わせて６１個はんだ付けして完了です。親指キーのPCBソケットはCherryMX互換ソケットかロープロソケットのどちらかだけでも構いません。写真では両方付けています。

![89](images/kb61_081.jpg)

<a id="anchor4"></a>
## ４．トラックボール読み取り基板の組み立て
下写真の基板（以下、ボール基板）と光学センサーを準備します。

※センサーや基板の品質確認のため、はんだ付け済のボール基板が届く場合があります。その時にはこの工程は飛ばして、4-2章のL字コンスルーはんだ付けに進んでください。

![90](images/kb61_090.jpg)  

<a id="anchor4-1"></a>
## 4-1．センサーのはんだ付け  

センサーICはボール基板の部品が実装されていない裏面から差し込みます。  
ICの１ピンを示すくぼみと基板の【1pin】のシルクを合わせます。

![91](images/kb61_091.jpg)

ICを裏から見るとこのような方向です。表面実装部品が実装されている表面側（Keyballロゴの無い面側）から全ピンをはんだ付けしてください。

![92](images/kb61_092.jpg)

ピンセットを使って保護シール【２枚】をはがします。

![93](images/kb61_093.jpg)

シールをはがした面にセンサーレンズを取付けます。

![94](images/kb61_094.jpg)

レンズには方向があります。  
レンズ手前に下写真矢印のような突起があり、これが上側にくるように取り付けます。

![95](images/kb61_095.jpg)

<a id="anchor4-2"></a>
### 4-2．L字コンスルーのはんだ付け
次にL字コンスルーピンをトラックボールを搭載する基板の【表面】に取付けます。  
L字コンスルーにも方向があります。
ピンがU字型になっていない方をミドル基板に差し込んで半田付けします。

![96](images/kb61_083.jpg)

部品が浮かないようにマスキングテープ等を貼って裏面からはんだ付けしてください。

![97](images/kb61_084.jpg)

次に光学センサー用信号線のジャンパ４個を半田付けします。
いま半田付けしたコンスルーの近くにジャンパがありますので、これを【裏面のみ】半田を盛って下写真のようにショートさせてください。

![97](images/kb61_085.jpg)

<a id="anchor5"></a>
## ５．左手側の左右判定ジャンパーをはんだ付け 

Keyball61の標準ファームウェアには左右自動判定機能がついています。判定のために【左手側の基板だけ】に１個所ジャンパーをはんだ付けします。  

左手側基板を裏から見ると下写真赤丸部に[LEFT]というシルクがあります。この隣のジャンパを半田付けしてショートさせてください。

![140](images/kb61_086.jpg)

左手側にトラックボールを載せる場合位置が少し異なり、LEFTジャンパは下写真の位置になります。

必ず【左手側の基板だけ】にジャンパーします。

![141](images/kb61_087.jpg)

以上ではんだ付け作業は完了です。

余談ですがはんだごての電気を落とす前に、こて先にたっっぷりとはんどを付けておきましょう。次回使用するときにこのはんだを落とせば、ピカピカのこて先で作業を再開できますよ！

![100](images/kb61_096.jpg)

<a id="anchor6"></a>
## ６．トッププレートのカット  

Keyball61はトッププレートの親指キー部分のミシン目を切り離して組み立てる必要があります。
切り取るためには、カッターを使用して表面と裏面のミシン目部分に切り込みを入れてから折って切り離します。

![101](images/kb61_100.jpg)

切り離した断面は150番手くらいの紙やすりで整えてください。

![102](images/kb61_102.jpg)

<a id="anchor7"></a>
## ７．組み立て 

<a id="anchor7-1"></a>
### 7-1.保護プレートの取り付け  

ミドル基板にProMicro保護プレートを取り付けます。
まず9mmスペーサをねじ止めします。

![110](images/kb61_104.jpg)

アクリル保護プレートをスペーサにねじ止めします。

トラックボール有り側も無し側も保護プレートの形状は共通です。表裏もありません。

![111](images/kb61_105.jpg)  

<a id="anchor7-2"></a>
### 7-2.トッププレートの組み立て  

トッププレートの【裏面】に7mmスペーサをねじ止めします。

親指をロープロファイル仕様で組み立てる場合には、親指キー用トッププレートには4mmスペーサを取り付けます。

![112](images/kb61_107.jpg)

トッププレートの四隅と親指用プレートにキースイッチをはめ込みます。

こうしておくとプレート同士の位置決め精度が上がります。

![113](images/kb61_108.jpg)

トッププレートとミドルアクリルプレートのねじ穴を合わせ、プレート同士を重ねます。

![114](images/kb61_110.jpg)

次に半田付けしたミドル基板もネジ穴を合わせ、キースイッチの端子がしっかりキーソケットに入ることを確認しながら重ねます。

![114](images/kb61_112.jpg)

<a id="anchor7-3"></a>
### 7-3.ボトムプレートの組み立て  

裏面からアクリルボトムプレートを重ねてねじ止めします。

<a id="anchor8"></a>
## ８．トラックボール取り付け 

<a id="anchor8-1"></a>
### 8-1.ボール読み取り基板差し込み  

組み立てたトラックボール読み取り基板を７ピンコンスルーへ差し込みます。わかりやすいように斜めにしていますが、基板は垂直にして差し込みます。

![120](images/kb61_114.jpg)

ボール基板が垂直に立ちました。

![121](images/kb61_115.jpg)

<a id="anchor8-2"></a>
### 8-2.トラックボールケースの組み立て  

トラックボールケースには事前にセラミックボール3個が固定されています。万が一セラミックボールが脱落している場合にはお手数ですが予備のセラミックボールを適当なボンドで固定してください。  
セラミックボールの予備は今後ボールを紛失した時のために保管しておいてください。

ケースを振ってみて、セラミックボールが脱落しないか確認してください。

![122](images/kb61_122.jpg)

ケース下の穴へ、ケース上のピン２本が挿入できます。  
上下からゆっくり力を入れて結合します。（ぴったりと結合しなくてもこの後のねじ絞めでくっつきますので大丈夫です。）

![123](images/kb61_123.jpg)

M1.7のタッピングねじをつけます。キットにはねじ頭が【小さいねじ】と【平らなねじ】が同梱されていますが、そのうちの【頭の小さいねじ】を使用します。

![124](images/kb61_124.jpg)

ケース裏から見て、この２個所をねじ止めします。締め付けすぎにご注意ください。

![125](images/kb61_125.jpg)

<a id="anchor8-3"></a>
### 8-3.トラックボールケース装着  

完成したケースを本体に取付けます。ケース裏側のセンサー収納部にボール基板が入ります。  
矢印で示すボール基板がケース中央くらいにくるようにしながら、上からゆっくりとはめます。引っ掛かりがある場合、無理に押し込まず、一度引き抜いて再度入れ直してください。

それほど力を入れなくても最後まで入るはずです。

![126](images/kb61_127.jpg)

本体裏から確認するとメイン基板とボール基板の間に、矢印で示すような隙間が出来ている場合があります。

![128](images/kb61_129.jpg)

その時は、軽～くケース手前（指マークの方向）から押します。力を入れすぎるとL字コンスルーが破損する可能性があるので、軽く押してください。  
下写真のように隙間がなくなれば、青丸部のねじ穴が合うと思います。

![129](images/kb61_130.jpg)

キットに同梱のM1.7トルクスねじの【頭が平らなねじ】２本を本体裏から絞めます。

この時ボール保持ケースが回転しないように指で抑えながらねじを絞めてください。

![130](images/kb61_132.jpg)

<a id="anchor9"></a>
## ９．総仕上げ 

完成間近です！お好みのキースイッチをはめ込んでいきます。

最後に34mmトラックボールをケースに押し込んで完成です！  

お疲れ様でした。  

![132](images/kb61_135.jpg)

<a id="anchor10"></a>
## １０．正規ファームウェアの書き込み 

それでは最後に正規のファームウェアをProMicroに書き込みましょう。

※現在Keyball61の正規ファームウェアを準備中です。

<!--Keyball61は[Remap](https://remap-keys.app/configure)に対応していますのでビルド環境がなくてもキーマップの変更が可能です。Remapの使用方法については[自キ温泉ガイドのサリチル酸](https://salicylic-acid3.hatenablog.com/entry/remap-manual)の記事に詳しく掲載されています。  

テストファームウェア書き込みの章にも書きましたが、Keyball61のファームウェアは、トラックボールを右手と左手のどちらに載せたかで種類が分かれます。下記の適切な方のリンクからzipファイルをダウンロードしてください。
   - トラックボールを右手側につけた方はこちらの[keyball_via_1.0.0.zip](https://github.com/Yowkees/keyball/files/6809101/keyball_via_1.0.0.zip)をダウンロード
   - トラックボールを左手側につけた方はこちらの[keyball_via_Left_1.0.0.zip](https://github.com/Yowkees/keyball/files/6809107/keyball_via_Left_1.0.0.zip)をダウンロード

zipファイルを解凍すると中には２つのhexファイルが入っています。Keyball46では左右に別々のファームウェアを書き込みます。
   - keyball_rev1_ball_via.hex　←この"ball"が名前に含まれている方はトラックボールありの基板に書き込みます
   - keyball_rev1_noball_via.hex　←この"noball"が名前に含まれている方はトラックボール無しの基板に書き込みます

書き込みはQMK Toolboxを使用して書き込んでください。

■ご自身でファームウェアをビルドする場合  
Keyball61の最新ファームウェアは[Githubのリポジトリ](https://github.com/Yowkees/keyball/tree/main/qmk_firmware/keyboards/keyball)にて公開しています。このkeyballフォルダをお手持ちのQMK_Firmware/keyboardsへコピーして自由にキーマップ等を編集してmakeしてください。  
-->

<a id="anchor11"></a>
## １１．Keyballの使い方♪ 
   - トラックボールはレイヤー３に切り替わっている間は上下左右スクロールに変わります
   - [Remap](https://remap-keys.app/configure)に対応していますので、簡単にキーマップの確認・変更・書込みが可能です
   - USBケーブルは左右どちらに差しても使用できます。ただしキーマップはUSBケーブルを差した側のProMicroへ書き込まれるため、初めて差し替えた場合にはキーマップを見直してください


以上でKeyball61のビルドガイドは終了です。
Keyball61についてのご質問や不具合等についてはGithubのリポジトリ、[Yowkees/keyballのDiscussions](https://github.com/Yowkees/keyball/discussions)へご投稿ください。なるべく早くご回答させていただきます。

<!--―あとがき―  
Keyball61の回路設計者は、トラックボール付きキーボード！に加えてRGB LEDにOLED、VIAにも対応したいし、今後タッチパッドや1Uトラックボールを拡張できるようにしたいと、実に盛りだくさんなキーボードキットを設計してしまいました。ProMicroの容量制限やトラックボール動作等に不安があったファームウェアを、KoRoN@香り屋様をはじめ多くの方のご協力により大幅に改善・安定化できました。また左右自動判別機能やトラックボール情報の左右間通信等、将来的にできたらという技術まで確立できたことで、左右両方にトラックボールを搭載することも可能となってきました。この場をお借りしてお礼申し上げます。本当にありがとうございました-->
　@Yowkees
